Loading...
Searching...
No Matches
restinio::router::easy_parser_router::impl Namespace Reference

## Namespaces

namespace | dsl_details
namespace | path_to_params_details

## Classes

class | actual_router_entry_t
| An actual implementation of router_entry interface. More...
struct | dsl_processor
| The main meta-function for processing route DSL. More...
struct | no_match_t
| Helper type to indicate a negative match attempt. More...
class | path_to_params_producer_t
| An implementation of a producer for path_to_params case. More...
class | path_to_tuple_producer_t
| An implementation of a producer for path_to_tuple case. More...
class | router_entry_t
| An interface for one entry of easy_parser-based router. More...
class | special_exact_fixed_size_fragment_clause_t
| A special clause type for case when exact_fixed_size_fragment_producer should be used without storing its value. More...
class | special_exact_fragment_clause_t
| A special clause type for case when exact_fragment_producer should be used without storing its value. More...
class | special_produce_tuple_item_clause_t
| A special case of produce-consume clause where the produced value is stored into a tuple. More...
struct | unescape_transformer_t
| A transformer that performs percent-unescaping of an input string. More...

## Typedefs

using | target_path_holder_t = restinio::router::impl::target_path_holder_t
template<typename Extra_Data >
using | router_entry_unique_ptr_t = std::unique_ptr< router_entry_t< Extra_Data > >
| An alias for unique_ptr of router_entry.

## Typedef Documentation

## router_entry_unique_ptr_t

template<typename Extra_Data >

using restinio::router::easy_parser_router::impl::router_entry_unique_ptr_t = typedef std::unique_ptr< router_entry_t< Extra_Data > >

An alias for unique_ptr of router_entry.

Template Parameters

  Extra_Data | The type of extra-data incorporated into a request object. This type is added to router_entry_unique_ptr_t in v.0.6.13.

Since
  v.0.6.6

Definition at line 86 of file easy_parser_router.hpp.

## target_path_holder_t

using restinio::router::easy_parser_router::impl::target_path_holder_t = typedef restinio::router::impl::target_path_holder_t

Definition at line 37 of file easy_parser_router.hpp.